# THE FOLLOWING CHANGELOG CONTAINS MASSIVE SPOILERS!

Preface: While creating the Game of the Year version of the game something must've gone wrong. While Game of the Year includes the *newest* code, it contains the *oldest* versions of the maps. So old that even the unreleased v1.00 version of the game is newer.
These old maps are rough, glitchy, and unpolished in comparison to the maps released in non-GotY versions. As such, this mod contains the non-GotY maps, and then combines the following bug fixes on top of them. Bug fixes from the official maps compared to the GotY versions are not mentioned here.

## Chapter 1:

### Liberty Island:

- Fixed a floating camera.
- Fixed breakable movers having wooden fragments and break sounds instead of metal.
- Changed a terrorist to use B barks to match conversation voice.
- Increased size of UNATCO entrance skillpoint bonus to make it unmissable.

### UNATCO HQ:

- Added a button inside Alex's closet to prevent softlocks.
- Moved JC's newspaper to his desk to prevent it being destroyed by the door.
- Lowered the collision of the cabinet items to prevent them being grabbed without opening the cabinet.

## Chapter 2:

### Battery Park:

- Battery Park no longer blames you if Anna kills people.
- Fixed the game assuming the shanty town was safe on the first second of the level, due to the game looking for 'ShantyTerrorists' instead of 'ShantyTerrorist'.
- Police boat now uses its lines.
- Subway train windows can no longer be crawled through.
- Flamethrower in Castle Clinton now has a melee weapon.
- Ambrosia triggers can no longer be triggered from underneath.
- Female beggar no longer has a male voice.
- Fixed "Cycle Tunnel Doors" option missing a space.
- Added a fire extinguisher so new players don't have as horrible a time with the game introducing flamethrowers.
- Fixed cigarette machine being selectable through a wall.
- Female hostage is now called a hostage instead of just a bum.

### Hell's Kitchen:

- The player is now credited for helping with the fire fight outside the hotel if they kill 2 or more of the 6 terrorists outside, rather than knocking out 3 of 5.
- Fixed Smuggler intercom typo.
- Increased Free Clinic teleporter collision.
- Moved the interpolate triggers for the helicopters to less random places.
- Osgood's door is now a door.

### Underworld Tavern:

- Jock now leaves when the mission is complete.
- Jock now uses his barks.

### Free Clinic:

- Can no longer see the end of the level when exiting.
- Key obtained here no longer opens MiB's chapter 5 cabinet due to overlapping IDs.

### Ton Hotel:

- No longer miss the reward for saving the hostages by leaving via Paul's window or jumping off the balcony.

### Smuggler's Hideout:

- Mirror now made out of glass instead of wood.

### Hell's Kitchen Sewers:

- Water no longer flows upwards.

### Hell's Kitchen (NSF Warehouse):

- Alex no longer tells you to look for the building with antennas if you've already blown it up.
- Alex now actually warns you about the rooftop snipers if you take a ladder up instead of the elevator.
- Made the generator debris ignore when encroach.
- Disabled interpolate trigger collision.

## Chapter 3:

All chapter 3 enemies stand down after being told to.

### UNATCO HQ:

- Added a button inside Alex's closet to prevent softlocks.
- Changed Manderley's unfamiliarName to "Joseph Manderley".
- Changed Shannon's unfamiliarName to "Shannon".

### Battery Park:

- Fixed riot cops having no barks.
- Added a button to backtrack.
- Moved teleporter closer to not see end of level.

### Brooklyn Bridge Station:

- Added a button to backtrack.
- Made objects requiring water in the Brooklyn Bridge Station not usable until the water has been turned back on.

### Tunnels near the Brooklyn Bridge Station:

- Fixed end skillpoint trigger clipping through wall.
- Fixed missing space in a mole person's name.
- Changed commander to RaiseAlarmBeforeAttacking.

### LaGuardia Airfield (Helibase):

- Fixed floating cigarette machine.
- Fixed softlock in security room by adding a key out.
- Fixed doors making the wrong fragments when destroyed.
- Made the elevator usable if entering from the surface.
- Disabled cameras, turrets, alarms, lasers, if the player returns after completing the mission.

### LaGuardia Airfield:

- Fixed doors and chests making wooden fragments.
- Lowered an alarm panel so the AI can use it.

### LaGuardia Airfield (747):

- All doors now make metal fragments and sounds when destroyed.

## Chapter 4:

### UNATCO HQ:

- Added a button inside Alex's closet to prevent softlocks.
- Changed Manderley's unfamiliarName to "Joseph Manderley".
- Changed Shannon's unfamiliarName to "Shannon".
- Lowered the collision of the cabinet items to prevent them being grabbed without opening the cabinet.

### Hell's Kitchen:

- Made the Ton doors bIsDoor.
- Can no longer make Jock teleport.
- Can no longer climb through the subway train windows to get inside.
- Fixed Smuggler intercom typo.

### Ton Hotel:

- Fixed JoJo not using his own barks.
- Fixed the spark generator for the cleaner bot sometimes getting disconnected.
- Fixed a book in Paul's bookshelf getting destroyed when opening it.
- Made Paul's chair invincible to prevent issues.
- Paul no longer disappears at the bottom of the stairs.
- Paul should now run to the end of the level where the player is rewarded with 100 skillpoints and now marks him as safe and allows the player to exit through the window.
- AI is smart enough to disable any grenades outside Paul's room during the raid on realistic difficulty.
- Disabled Paul's shield aug.

  ### Smuggler's Hideout:

  - Mirror now made out of glass instead of wood.

  ### Hell's Kitchen (NSF HQ):

  - Made the UNATCO troops look left and right for JC while patrolling after turning hostile.
  - Can no longer crouch under the teleporter.
  - Removed the logic triggers and overhauled the logic for setting the flag for sending the signal, now set in part by MS.
  - Fixed texture on top of the servers.
  - Can no longer leave the window on the right after sending the signal to stay friendly with UNATCO.
  - Fixed one of the big basement doors being invincible when the others aren't.
  - The BasementDoor key now actually opens all basement doors instead of a random few.

  ### Hell's Kitchen Sewers:

  - Increased skillpoint trigger collision.
  - Water no longer flows upwards.

  ### Battery Park:

  - Fixed alliances.

  ## Chapter 5:

  ### New York Majestic 12 Facility

  - Fixed bad effects lingering when loading chapter.
  - Grenades and throwing knives no longer get reset to 1 when confiscated.
  - Moved the end level teleporter closer so you can't see the bad end of the level.

  ### UNATCO HQ:

  - Added a button inside Alex's closet to prevent softlocks.
  - Changed Manderley's unfamiliarName to "Joseph Manderley".
  - Lowered the collision of the cabinet items to prevent them being grabbed without opening the cabinet.
  - Changed Miguel's unfamiliarName to "Miguel".
  - Fixed multiple people being called "Scott". Fixed typo in retinal scanner message.

  ### Liberty Island:

  - Changed Miguel's unfamiliarName to "Miguel".

  ## Chapter 6:

  Elevator doors now close on level transition.

  ### Hong Kong Majestic 12 Helibase:

  - Disabled collision to the bot ordersTriggers.
  - Added extra triggers for making Jock fire his missile if the player leaves via the vents.
  - Removed the prefab vent above one of the robots.
  - Jock's missile is now immune to ADS to prevent softlocks.

  ### Wan Chai Market:

  - Added support for Louis Pan's triggers.

  ### Canals near Wan Chai Market:

  - Increased the flag trigger at the dead scientist so it's reliably triggered when you find the scientist.
  - Removed part of the tunnel collapse clipping into the canal.
  - Rebuilt to fix a BSP.
  - Fixed typo preventing John Smith's body from spawning.

  ### Wan Chai Underground Mall & Lucky Money:

  - Breaking the Quickstop windows no longer turns the police hostile, only if you go in.
  - Fixed all the police being called "Eddie Way".
  - Ling no longer follows you after the raid.
  - Ling no longer keeps following you after you go in a red zone.
  - Can no longer jump at the ceiling at Max Chen for skill points.
  - Moved Max Chen closer to his desk.
  - Fixed the female VersaLife employee having her familiar and unfamiliar names mixed up.
  - Fixed being able to select the Quickstop computer through the windows.
  - Removed the MJ12 trooper at the start of the level.
  - Removed Max Chen's potted plant that didn't have a stand.

  ### Canal Road Tunnel near Wan Chai Market:

  - Alliance triggers for the police now work when going past the barricade.
  - Can no longer open the door without using the keypad code by frobbing it.

  ### Tonnochi Road:

  - Fixed a wall with placeholder textures.
  - Fixed the skillpoint trigger for Jock's apartment being in the ground.
  - Fixed floating fan.
  - Fixed elevator doors being pickable.
  - Fixed May Sung's barks.

  ### VersaLife:

  - Removed collision from a skillpoints trigger.
  - Civilians and guards are removed from VersaLife once the commandos appear.
  - The security cameras in the lab and VersaLife turn on after stealing the ROM, on realistic.

  ### VersaLife Advanced R&D (Level 1):

  - Lowered MaxProvations from 1 to 0 to make the AI not allow you to shoot them.
  - The security cameras in the lab and VersaLife turn on after stealing the ROM, on realistic.

  ### VersaLife Advanced R&D (Level 2):

  - Fixed the commandos not talking.
  - Fixed typo in the scientist's name.
  - Lowered control panel strength from 1.2 to 0.6 (was likely meant to be 0.2 but that's quite a change).
  - Made the ramp not frobbable.
  - Removed the useless key at the end of the level.
  - Changed the spiderbots orders from attacking to standing so they don't make the combat music constantly play.

  ### Tracer Tong's Lab:

  - Fixed Alex/Jaime/Tong's barks.
  - Fixed wicker basket having content2 instead of contents set.

  ## Chapter 8:

  ### Hell's Kitchen:

  - Fixed all alliances.
  - Fixed some of the cops being called "Cop" instead of "Riot Cop".
  - Fixed Smuggler intercom typo.
  - Increased Free Clinic teleporter collision.

  ### Smuggler's Hideout:

  - Mirror now made out of glass instead of wood.

  ### Hell's Kitchen Sewers:

  - Increased skillpoint trigger collision.
  - Water no longer flows upwards.

  ### Ton Hotel:

  - Fixed riot cop voices.
  - Fixed riot cop reactions.
  - Fixed riot cop patrol routes.

  ### Free Clinic:

  - Can no longer see the end of the level when exiting.

  ## Chapter 9:

  Ship klaxon sound no longer resets on zone change and the explosion effect will break windows and not throw you while in the air or swimming.

  ### Brooklyn Naval Shipyards (Exterior):

  - Fixed sewer to ship teleporter being too small.
  - Added infolinks about Jock being on the roof if exiting from the door or sewer.
  - Fixed all the shipping containers having a bad texture.
  - Fixed spotlight coronas being too far from the lights.
  - Fixed light in void.
  - Fixed door wanting "WeaponsWarehouse" key instead of "WeaponWarehouse".
  - Fixed supply closet key having its tag set instead of its KeyID and being blank.

  ### Brooklyn Naval Shipyards (Ventilation):

  - Increased radius of skillpoint triggers.
  - Fixed missing lightbulb.

  ### Brooklyn Naval Shipyards (Interior):

  - Fixed ship showers.
  - Fixed the front door camera turning back on if you disabled it instead of turning off when you approach.
  - Fixed computer brushes with screens on the back.
  - Fixed faucet with a brush too low.
  - Fixed the friendly soldier being hostile if you entered via the fan.
  - Removed the duplicate datacube by the code.

  ### PRCS Wall Cloud:

  - Bilge power must actually be turned on now to complete the level.
  - Removed the gas grenades that appear at the start of the level.
  - Can no longer disable the electricity sound by jumping on a beam.
  - Can no longer jump over the goalcompletetrigger at the start.
  - Moved the helipad skillpoint trigger to the top of the ladder.
  - Fixed bad pivot points.

  ### NYC Cemetery:

  - Fixed typo in "cemetary".
  - Fixed invisible barrel having collision.
  - Fixed gatekeeper's door not fitting inside the frame.

  ## Chapter 10:

  ### Paris Streets (Near Denfert-Rochereau):

  - Killing Aimee now removes her goal.
  - Shrank elevator keypad to fit on elevator.

  ### Paris Catacombs:

  - Gave Hela a melee weapon.
  - Made Chad invincible as he's mentioned later.

  ### Paris Streets (Near Champs-Elysees):

  - Fixed the MJ12 troopers being mute due to bad barkBindNames.

  ### La Porte de l'Enfer:

  - Fixed Kara's unfamiliarName.

  ### DuClare Chateau:

  - Added requested "ChateauInCeller" flag.

  ## Chapter 11:

  ### Cathedral du Paynes:

  - Fixed floating camera.
  - Fixed bad bed texture.
  - Fixed softlock from closing the vault door.

  ### Morgan Everett's Home:

  - Made Everett use his barks.
  - Made Atanwe invincible as he's mentioned later.

  ## Chapter 12:

  ### Vandenberg Air Force Base:

  - Fixed Stacy Webber immediately thinking she was saved.
  - Fixed part of the electrified water staying electrified when turned off due to a bad tag.
  - Made Tony Mares invincible as he's later mentioned.
  - Fixed the Vandenberg Skip.
  - Stephanie Maxwell no longer tries to attack herself and the MJ12 trooper attacks her properly.
  - Fixed the trigger collision for the military bots clipping through the armoury.
  - Fixed the skillpoint trigger at the dead sniper being tiny.
  - Fixed the goal to enable the power disappearing when walking next to the comm building.
  - Fixed the main door commandos being deaf.
  - Made the elevator camera's memory time the default of 5 instead of 20.

  ### Tunnels under Vandenberg Air Force Base :

  - Set gas grenade count from 0 to 1.
  - Increased end skillpoints trigger collision to not be missable.

  ### Vandenberg Air Force Base (Control Room):

  - Entrance doors are no longer highlightable or frobbable.

  ### California Gas Station:

  - MiB now has a melee weapon and gives a key to the garage door instead of a blank key.

  ## Chapter 14:

  ### Submarine Base near Pasadena:

  - The welding sounds now stop on return to the level.
  - Killing the TankKarkian now also sets the TankKharkian flag for the barks.

  ### Pasadena Ocean Lab:

  - Prevented some infolinks playing if you already beat the level.
  - Improved skillpoint trigger near the GEP gun.
  - Changed storage room key ID to prevent it opening storage in chapter 15 too.
  - Made the medical bot not drown.
  - Made the end level gas grenade not bUnlit.
  - Lowered the fire extinguisher to the ground so you don't hear the clang of it landing on level start.
  - Fixed a softlock if you closed the 5690 door behind you.

  ### Missile Silo near Pasadena:

  - Fixed a trashbag containing a lockpick in content2 instead of contents.
  - Fixed a crate containing nothing.
  - Gave the commando a key to the bathroom as the key was desired but didn't exist.
  - Fixed a door breaking at the start of the level due to being !bIsDoor.

  ## Chapter 15:

  Mission Location now says "Sector x".

  ### Area 51 (Sector 1):

  - Gave the hangar MiB ammo for his weapons and a melee weapon.
  - Fan infolink now also plays if lockpicking into the fan.

  ### Area 51 (Sector 2):

  - Fixed broken patrol route for one of the commandos.

  ### Area 51 (Sector 3):

  - Prevented button exploit for Dark Age ending.
  - Increased the size of the skillpoint triggers in the storage areas.
  - Fixed the tram trooper trying to walk off it.
  - Fixed carcasses having items but a count of 0.
  - Fixed the grays having bad bind names so the mechanic never acknowledges their death.

  ### Area 51 (Sector 4):

  - UC creation effects only happen on success, rather than on attempt.
  - MJ12 troops now hate the bots and transgenics.
  - The commando and troopers no longer infight.
  - A crate no longer gets destroyed by opening a vent.
  - Prevented button exploit for Illuminati ending.

  ## Multiplayer:
  - Included more polished maps with fixed geometry, particularly for CMD and Silo.

  ## Gameplay:

  ### AI:

  - AI no longer bothers attacking disabled robots.
  - AI no longer lets the player use disabled robots as shields.
  - AI no longer shoots through ALLIANCE_Neutral to hit the player, to avoid in fighting.
  - AI no longer stops rubbing their eyes after the door they were opening opens.
  - AI reacts to doors being opened that they can see.
  - Allowed NPCs to use the GEP gun lock-on feature on realistic difficulty.
  - Animals can no longer eat through walls.
  - Animals can now be knocked out.
  - Bosses no longer drop their weapons.
  - Bosses now fight to the death, like the characters state they should.
  - Breaking an NPC's legs no slows them down.
  - Burning enemies now take fall damage.
  - Buying ammo from the AI no longer gives the player ALL of the AI's ammo of that type they have.
  - Divers no longer T-pose from gas damage.
  - Dogs can now jump attack.
  - Dogs now bark and alert other enemies in the area before attacking.
  - Enemies rubbing their eyes now go to the stunned state when hit with the prod.
  - Enemies who are immune to gas no longer try to avoid it.
  - Enemies who are rubbing their eyes no longer immediately attack when hit by a tranq dart.
  - Fixed NPCs forgetting what they were doing when opening a door or falling.
  - Fixed a crash if a robot is destroyed while in use.
  - Fixed animations for underwater combat.
  - Fixed breaking an NPC's arms and making them drop their weapon giving no ammo from picking it up.
  - Fixed NPCs not dying properly if falling into water while dying.
  - Fixed extremely rare case of NPCs being able to resurrect themselves by getting into a conversation while dying.
  - Fixed robots not being disabled if they were in use when they were disabled.
  - Headshots are now any hit in the upper 30% of the body, regardless of angle.
  - Increased the height that walker bots can climb, allowing them to move up streets properly.
  - Increased the range for a critical hit to the back of the head.
  - Knocking out an NPC while they're on fire now kills them.
  - Made NPCs switch weapons if desired if they need to reload on realistic difficulty.
  - Made the following objects block the AI's sight: Bushes, cars, trash bags, trees, vans, vending machines.
  - MiBs, WiBs, and commandos now play their critical damage sounds at 25% hp.
  - NPCs are now able to shoot through windows.
  - NPCs now notice weapon lasers on realistic difficulty.
  - NPCs now play their melee lines when switching to melee weapons.
  - NPCs now react to unconscious bodies if they react to dead ones.
  - NPCs now wait 0.5 seconds for a door to open instead of up to 5 seconds, should make them less brain dead while waiting for it to open.
  - NPCs that are stunned with the riot prod while in the process of opening/closing a door will no longer go back to being unstunned when the door has finished opening/closing.
  - NPCs that die holding a grenade on realistic will drop an armed one.
  - NPCs will shoot at explosives and gas barrels around the player on realistic difficulty.
  - People can now die when unconscious, from fall damage, and from drowning.
  - Reduced explosive damage against the bosses.
  - Robots no longer open doors.
  - Robots play a critical damage sound at 25% hp.
  - Robots reboot for 5 seconds after a scramble grenade wears off, giving players time to react.
  - SCUBA divers no longer fear combat.
  - Security bots now have more accurate BaseEyeHeights.
  - Sneak attack bonus now always takes priority over stunned bonus as it's better.
  - Sneak attack bonus now doesn't apply as much for flamethrower damage.
  - The AI is no longer penalized for not using the scope.
  - The AI no longer uses batons against robots.
  - The AI now has the ability to use non-primary ammo types.
  - The AI now prioritizes explosive damage against robots.
  - The AI now reacts to burning objects.
  - The AI now reacts to injured dogs.
  - The AI now reacts to objects being in a new position than they were before or lamps being on/off compared to before.
  - Updated AI collision while they rub their eyes to make the hitboxes match.

  ### Augmentations:

  - Added lights to the spydrone.
  - Aggressive Defense System no longer detonates non-explosive projectiles.
  - Aggressive Defense System no longer detonates wall mounted grenades, allied projectiles, or projectiles out of sight.
  - Allowed free augmentations to be used without energy.
  - Can no longer use augmentations when out of energy or dead.
  - Combat strength no longer boosts grenade damage.
  - EMP shield is now passive and free.
  - EMP shield now reduces damage from 'shocked' damage (spider-bots).
  - Killing someone with ADS now ties the kill to you.
  - Nerfed regeneration values (but still fairly overpowered).
  - Regeneration now drains 10% when not healing instead of turning off.
  - Synthetic heart is now passive and free.
  - The energy shield augmentation protects the player from getting ignited at level 4.
  - The power recirculator is now automatic.
  - The targeting aug now also shows the EMP health of robots.

  ### Items:

  - Accuracy and recoil mods can no longer be applied to weapons when they'd do nothing.
  - Allowed grenades to be thrown through windows.
  - Allowed headshots with non-lethal weapons.
  - Allowed multiple LAWs and PS20s in the inventory.
  - Binoculars display the name of what they're looking at.
  - Buffed flare dart damage to match regular darts and increased lifespan to 4 minutes.
  - Bullets now penetrate glass.
  - Cameras and turrets no longer see through thermoptic camo.
  - Disabled duplication glitch.
  - Doubled the range that the sniper rifle can be heard (by the player) to prevent people being confused from dying randomly.
  - Fixed being unable to use the GEP gun lock-on feature after stealing the GEP gun from an NPC.
  - Fixed duplication glitches related to conversations.
  - Fixed LAWs being able to fire through walls.
  - Fixed lockpicking while paused exploit.
  - Fixed multitooling while paused exploit.
  - Fixed plasma damage using multiplayer values in singleplayer.
  - Flares now burn objects they touch.
  - Food is eaten immediately if there's no room to hold it.
  - Grenade ammo loss only happens when the grenade correctly spawns now.
  - Grenades no longer detonate from halon gas.
  - Grenades no longer detonate from touching bodies.
  - Hazmat suit now does what it says on the tin.
  - Hitting the level with melee weapons now makes a noise the AI can hear.
  - Holding a body reduces damage by 10%.
  - Holding down the fire button now makes melee weapons keep swinging.
  - Increased flare lifespan from 30 seconds to 6 minutes.
  - Lasers are now auto-activated.
  - Lasers now show where a shot will hit instead of giving 100% accuracy.
  - Light weapons are kept equipped during conversations.
  - Made the LAW scope functional.
  - Made the pepper gun hit more reliably.
  - Mounted grenades are no longer triggered if the player is using radar transparency / thermoptic camo.
  - Multiple of the disposable weapons can be carried at once.
  - Only allowed one pair of binoculars in the inventory at a time.
  - Picking up flare darts gives regular darts back.
  - Recoil is now more immediate rather than drawn out over the course of the firing animation.
  - Sabot slugs now hit in one location rather than a spread.
  - Sniper rifles now play a short zoom animation when zooming.
  - The GEP gun can lock-on to cameras and turrets at advanced level.
  - The hazmat suit now protects from catching fire at master level.
  - The plasma rifle now glows.
  - The prod no longer damages non-explosive objects.
  - The range mod now affects projectile weapons.
  - Trying to plant a grenade on the wall and looking away will cancel the planting but no longer lose ammo.
  - Weapon mods now stack.
  - You are now correctly blamed for flamethrower kills.

  ### Objects:

  - Added the ability to save emails by logging in legitimately or hacking with advanced skill level.
  - Breakable doors will now tell you the minimum damage required to damage them.
  - Cameras no longer go into stasis when out of view.
  - Cameras now notice bodies on realistic difficulty.
  - Can no longer log into an ATM with the correct PIN but any text in the account field.
  - Crates now handle level transitions without duplicating contents.
  - The following objects now make a sound that the AI can hear when used: Buttons, doors, faucets, lamps, light switches, pinball machines, shower controls, switches, toilets, valves, vending machines, water coolers, water fountains, pianos.
  - Using a computer no longer makes the player invisible on realistic difficulty.

  ### Player:

  - Added a bindable option to quickly use medkits/biocells.
  - Fixed one of the images bought in the Old China Hand not appearing due to the game mistakenly thinking it's a duplicate.
  - If both legs are broken healing is prioritized for them.
  - Increased quicksaves to three.
  - Remembered crouching state when loading the game.
  - The player now switches to the desired weapon after using a one-shot weapon.

  ### Skills:

  - Changed medicine skill values from 30/60/75/90 to 30/45/60/90.
  - Fixed pistol skill starting at trained when untrained in menu.
  - Swimming bonuses are immediately applied if the player is swimming while they upgrade the skill.

  ## Misc:

  ### AI:

  - AI no longer makes critical damage sounds when stunned.
  - Added names to fish.
  - All barks (non-conversation lines) now lip sync.
  - Animal bodies can now be picked up.
  - Animals can no longer eat themselves.
  - Birds and rats no longer wait to finish their animation before dying.
  - Birds can be set on fire.
  - Birds now fear loud sounds.
  - Cats now hate rats and birds.
  - Cleaner bots no longer move if disabled.
  - Dead cats and dogs no longer bounce in water.
  - Dogs no longer bark while dying.
  - Dogs now bleed.
  - Fish can now be killed.
  - Fixed pigeon and seagull feet clipping into the ground.
  - Flies no longer bleed.
  - Flies now die when entering water.
  - Greasels now hate cats.
  - Greasels now play their unused water attack animation.
  - Halved bird health to die in one hit.
  - Holograms should no longer fear things.
  - Increased the minimum range for the AI to use the GEP gun to prevent them killing themselves as much.
  - Jaime and WiBs hold all weapons one handed as they have no two handed animations.
  - NPCs no longer sit on burning chairs.
  - NPCs now look at the player when they get near.
  - Military bots now crush what they stand on.
  - People will complain if you mess with lamps near them.
  - Pointing a gun at someone makes them tell you off.
  - Randomized fish sizes.
  - Robots no longer spawn bubbles underwater.
  - SecurityBot3 now spawns shells out of each of its 4 guns.
  - The AI can no longer talk with their heads underwater.
  - The AI no longer turn to face the sky when talking to themselves.
  - The bark system now correctly handles flag checks.

  ### Augmentations:

  - Augmentations now turn back on if they were on when upgraded.
  - Augmentations now display the true energy rate, accounting for cloak/radar transparency upgrades and the power recirculator.
  - Augmentations now provide specific numbers in their descriptions.
  - Invincible objects no longer show their health in the targeting aug.
  - Leaving a level and coming back no longer keeps the hum sound playing.
  - Taking damage no longer drops objects if the muscle aug is on at level 4.
  - Targeting aug displays a transparent box instead of a fully black on when too underleveled to show an image.
  - Targeting aug no longer displays class names and now displays human readable names.
  - Targeting aug no longer shows negative health values and will force red text instead of black.
  - The cloak aug has a visible effect.
  - The energy shield aug now draws a shield around the player, like it does for NPCs.
  - The light aug now affects bSpecialLit surfaces.
  - The radar transparency aug has a visible effect.
  - The spydrone no longer lets the player keep moving while in water.
  - The spydrone now turns off when destroyed to prevent a softlock.

  ### Cheats:

  - Added AllItems cheat.
  - AllAmmo cheat now gives all types of ammo for all your weapons, and reloads the equipped weapon.
  - AllEnergy cheat gives max energy instead of default.
  - AllSkills now gives swimming bonuses while in water.
  - AugAdd cheat now correctly upgrades desired aug by 1 level.
  - Enabled full control in the ghost/fly cheat states.
  - ShowAugmentationAddWindow now requires cheats.

  ### Items:

  - Added batons to the low-tech skill description.
  - Added names for NPC exclusive weapons.
  - Adding a laser to a weapon automatically enables the laser.
  - Augmentation canisters now include the slot location of the contained augs and their descriptions.
  - Broken drinks now leave liquid on the ground.
  - Can no longer use the scope when putting the weapon away.
  - Can no longer switch to ammo that the player has none of.
  - Disabled the flamethrower's fire if in water, reloading, or out of ammo.
  - Disabled weapon lasers on level transition.
  - Fireballs now get extinguished when entering water, as intended.
  - Fixed culling on models at 100 FOV.
  - Fixed grenades being at the wrong rotation when placed on floors and ceilings.
  - Fixed mini-crossbow fire sound.
  - Fixed silenced assault rifle fire sound.
  - Fixed the laser dot appearing at 0,0,0 at large distances.
  - Fixed trying to drop a body in insufficient space causing an invisible one to spawn that bleeds.
  - Fixed typo in DTS description.
  - Fixed typo in augmentation canister description.
  - Gas grenades no longer spawn under the ground if crouching and aiming down.
  - Improved flare description.
  - Increased fireball light.
  - Increased plasma rifle ThirdPersonScale by 25%.
  - Items are spawned on the ground when unable to be taken from carcasses.
  - Lowered the low ammo mark for 20mm ammo.
  - Made recoil and reload weapon mods display their full name on the belt.
  - Made the scramble grenade description more accurate to what it really does.
  - Meleeing a body now plays the correct sound.
  - Napalm and plasma now burns the world.
  - Planting your last grenade on a wall and looking away will no longer show another in your hand.
  - Pressing the scope button with nothing equipped will zoom with binoculars, if the player has some.
  - Sabot shells spawn metal fragments when firing.
  - The nanosword now creates light when dropped directly from the inventory.
  - The riot prod no longer displays its electricity when out of ammo or reloading.
  - The sniper rifle can no longer take range mods as they don't really do much.
  - The soda sound now comes from the player instead of the soda.
  - The sound of wearable items now follows the player.
  - Using a disposable weapon will try to find another one in your inventory and place it in the same belt slot.
  - Weapon idle animations can no longer overwrite the currently playing one.
  - Weapons now correctly make ricochet sounds and create decals and breakable doors.
  - Weapons now point at their lasers.

  ### Objects:

  - ATMs auto-fill their withdraw amounts with the maximum.
  - Added names to cacti.
  - Cameras now display static while turned off.
  - Cannot read books that are burning.
  - Datacubes now turn gray when read.
  - Destroyed blood on water contact.
  - Enabled unused skins for couches/chairs which were already set in maps.
  - Fixed a glitch where some barrels would get destroyed if you saved and loaded multiple times in the level.
  - Fixed objects not burning properly if pushed while on fire.
  - Fixed paper destruction sound.
  - Fixed seats having the incorrect push sounds.
  - Fixed tumbleweed disappearing.
  - Fixed typo in HangingShopLight.
  - Frobbing a non-frobbable mover will put your weapons away instead of doing nothing.
  - Hacked cameras and turrets now tell you if they're on or off when highlighted.
  - Improved poolball physics.
  - Increased the security console animation speed by 150%.
  - Made the following objects flammable: books, clothes racks, flag poles, flowers, all furniture, hanging lanterns, tables, tarps, junks, pillows, plants, ship wheels, all trash, tumbleweed, book stands, cabinets, desks, logs, pianos.
  - Objects can now be pulled from under others.
  - Objects now rotate to their velocity when thrown.
  - Plastic fans now produce plastic fragments.
  - Smoke from the incense burner now follows it when moved.
  - The invincible crates will now move if hit by an explosion.
  - Turrets no longer try to spawn their guns when being deleted.
  - Watercoolers no longer make water puddles if out of water.

  ### Player:

  - Can no longer frob while using the spydrone.
  - Fixed superjump exploit.
  - Fixed the player's overall health not being calculated when using the menu to heal.
  - Improved footstep texture sound recognition.
  - No pain sounds play if the speed enhancement augmentation removed all damage.
  - The player no longer makes a sound if hit by a door while dead.
  - Trying to pick up an item without room will display the required space.
  - Wet people and things now drip water.

  ### UI:

  - Added a button to fullscreen the notes page for easier note reading.
  - Added dark blue as a valid UI theme.
  - Added keyboard support for keypad * and # keys.
  - Added the ability to sort and search through notes.
  - Allowed items to be dragged out of the inventory to be dropped.
  - Changed the "Fx" key names in the settings to "Augmentation Slot Fx".
  - Changed upgrade hotkey on character creation from R to U to prevent conflict with reset.
  - Conversation choices can now be selected with the number keys.
  - Difficulty is now automatically added to the save name.
  - Disabled the use button in the inventory for lockpicks and multitools.
  - Enabled cutscene subtitles on 16:9 resolutions.
  - Enabled horizontal scrolling for the log.
  - Fixed being unable to save on multi-terabyte harddrives.
  - Improved the debug menu to make it much more versatile.
  - Increased max characters for computer logins/passwords from 20 to 32, to account for the 21 character login at the cathedral.
  - Increased the amount of available resolutions.
  - Keypad windows now close if the player dies with one open.
  - Made the use button for augmentation upgrade canisters go to the augmentations screen.
  - Obtaining a key from a body only shows the icon on screen if it was a new key.
  - Picking up some ammo from a body now also shows the amount in the message log.
  - Ported inventory sorting from Vanilla Matters.
  - Quickloading can now be done without a prompt if on the main menu or dead.
  - Receiving ammo and credits from carcasses now correctly displays the amount obtained.
  - Recoil value now correctly shows the skill bonus.
  - The HUD no longer reappears if opening and closing the main menu while dead.
  - The ammo system no longer always uses the words "rounds" and "clips" for everything.
  - The amount of credits the player has is displayed on the top left during conversation choices and when they receive credits.
  - The clip mod now displays its bonus as an absolute number, rather than an incorrect percentage.
  - The crosshair can now target objects past 500ft.
  - The scroll bar no longer overlaps the date of saves.
  - The turret option can now be cycled backwards to immediately disable it.
  - Weapons now display their true damage for projectiles and the amount of times they hit for spread weapons.

  ## Options:

  - Added anti-epilepsy option.
  - Added option to add newspaper and book information to the datavault.
  - Added option to auto-save.
  - Added option to disable the augmentation hum.
  - Added option to switch the keypad layout with a numpad one.
  - Added option to switch the spydrone view to the main view and player to the smaller view.
  - Ported item refusal system.